# Get Permanent Route Address

## GET /v0/customers/{customer\_id}/cross-chain-transfer/permanent-route-address/{address\_id}

> Get a permanent route address by ID

```json
{"openapi":"3.0.0","info":{"title":"Cross Chain Transfers API","version":"0"},"servers":[{"url":"https://api.alignlabs.dev","description":"Production server"},{"url":"https://api-sandbox.alignlabs.dev","description":"Sandbox server"}],"paths":{"/v0/customers/{customer_id}/cross-chain-transfer/permanent-route-address/{address_id}":{"get":{"summary":"Get a permanent route address by ID","parameters":[{"name":"customer_id","in":"path","description":"The unique identifier of the customer","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"address_id","in":"path","description":"The unique identifier of the permanent route address","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Api-Key","in":"header","description":"Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful retrieval of permanent route address","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermanentRouteAddressModel"}}}}}}}},"components":{"schemas":{"PermanentRouteAddressModel":{"type":"object","properties":{"permanent_route_address_id":{"type":"string","format":"uuid","description":"The unique identifier for the permanent route address"},"route_chain_addresses":{"type":"object","properties":{"ethereum":{"type":"object","properties":{"address":{"type":"string","description":"The permanent route address for the customer on EVM-compatible chains"}}},"base":{"type":"object","properties":{"address":{"type":"string","description":"The permanent route address for the customer on EVM-compatible chains"}}},"polygon":{"type":"object","properties":{"address":{"type":"string","description":"The permanent route address for the customer on EVM-compatible chains"}}},"tron":{"type":"object","properties":{"address":{"type":"string","description":"The permanent route address for the customer on TRON network"}}},"solana":{"type":"object","properties":{"address":{"type":"string","description":"The permanent route address for the customer on Solana network"}}}}},"route_destination":{"type":"object","properties":{"network":{"type":"string","description":"The blockchain network for the destination"},"token":{"type":"string","description":"The token for the destination","enum":["usdc","usdt"]},"address":{"type":"string","description":"The blockchain address where the funds will be sent"}}}}}}}}
```
